#----------------------------------------------------------------------------
# Profile for Philips Aurea TV and Net TV.
# See PS3.conf for a description of all possible configuration options.
# 
# The protocol string is (for mpeg2) :
# http-get:*:video/mpeg:DLNA.ORG_PN=MPEG_PS_PAL

#-------------------- 
# General informations / detection # General informations / detection 
# Added Aurea.png to ps3.jar with winrar
RendererName=Philips Aurea
RendererIcon=philips.png

# UserAgent: regular expression to detect the connected renderer
# Renderer name string:  Allegro-Software-WebClient/4.61 DLNADOC/1.00
UserAgentSearch= Allegro-Software-WebClient

# Basic capabilities 
Video=true
Audio=true
Image=true

##-------------------- 
## DLNA settings

##Use the DLNA feature seek by time and not by range
# SeekByTime=true
SeekByTime=false

##-------------------- 
## Transcoding/Muxing capabilities

##Transcode profiles for video and audio engines #
##currently supported: MPEGPSAC3, MPEGTSAC3 or WMV for video, LPCM, WAV or MP3 for audio
TranscodeVideo=MPEGPSAC3
TranscodeAudio=LPCM
## TranscodeAudio=MP3

##Use default DVD buffer size: false = greater bitrate and faster encoding,
##but can generate incompatible videos, depends of your media renderer
##DefaultVBVBufSize=false
DefaultVBVBufSize=true

##Muxing capabilities: Does the media renderer supports H264 and MPEG2 in a mpegts file ?
## MuxH264ToMpegTS=true
MuxH264ToMpegTS=false

##Does the media renderer supports DTS in a mpeg file ?
# MuxDTSToMpeg=false
MuxDTSToMpeg=true

##Does the media renderer supports DTS wrapped into LPCM in a mpeg file ?
# WrapDTSIntoPCM=true
WrapDTSIntoPCM=false

##Does the media renderer supports LPCM in a mpeg file ?
MuxLPCMToMpeg=true
## MuxLPCMToMpeg=false

##Maximum bitrate supported by the media renderer (0=unlimited)
MaxVideoBitrateMbps=0

##Max Width and Height supported by the media renderer (0=unlimited)
MaxVideoWidth=1920
MaxVideoHeight=1080

##Does the media renderer supports only H264 L4.1 at most ?
## H264Level41Limited=true

#Does music files need to be resampled at 44.1kHz?
TranscodeAudioTo441kHz=false

#Does the client need to receive transcoded video with minimal delay ? (Useful when the client has a small timeout delay)
TranscodeFastStart=true

#Size of the transcoded file (unknown length) sent to the renderer (could determine browsing failure/success)
#Possible values: 
#           -1: Specific value working with the PS3, means perfect transcoding and copying support (it's against the dlna spec though)
#            0: size attribute is NOT sent to the renderer (defaut value if this parameter isn't used)
# 100000000000: 100Gb, if you want to be sure that the media file is not cutted before the end ?
TranscodedVideoFileSize=100000000000

##-------------------- 
## Misc Files
##
## If you want to apply a specific extension for your transcoded files:
# UseSameExtension=mpg

## Mime types transforms (oldmime=newmime|olemime2=newmime2|�)
# MimeTypeChanges=video/avi=video/x-divx
# MimeTypesChanges=video/mp4=video/mpeg

## Extensions management: no need to put something here, as the server's default configuration is tuned for ps3
## What extensions are forcefully streamed as is (and not transcoded)
StreamExtensions=

## What extensions are forcefully transcoded
# Needed for Philips Aurea that can only handle mpg, mp3
# Not needed for Philips NetTV that can handle many formats natively
TranscodeExtensions=avi,wmv,mkv,wmv,ts,m2ts,tp,iso,mp4,mov